# Macros for click tracker

These are the parameters that we offer:

| Placeholder      | Replacement value                |
| ---------------- | -------------------------------- |
| `{{orderId}}`    | Ad servers internal Order Id     |
| `{{lineItemId}}` | Ad servers internal Line Item Id |
| `{{creativeId}}` | Ad servers internal Creative Id  |
| `{{source}}`     | If it's internal or Marketplace  |

An example of what to put in the destination url would be this:

```
https://example.com?lineitem={{lineItemId}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adnuntius.com/other-useful-information/macros-for-click-tracker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
